Bug Hunting Session
Bug 75540 - spadmin throws exception
Summary: spadmin throws exception
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
4.2.1.1 release
Hardware: All Linux (All)
: medium normal
Assignee: Stephan Bergmann
URL:
Whiteboard: target:4.3.0 target:4.2.2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-02-26 18:14 UTC by libreofficebugzilla.20.klingon
Modified: 2014-04-15 14:46 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description libreofficebugzilla.20.klingon 2014-02-26 18:14:42 UTC
executed sudo /usr/lib/libreoffice/program/spadmin

or executed /usr/lib/libreoffice/program/spadmin

output of the program: terminate called after throwing an instance of 'com::sun::star::uno::DeploymentException'

OS: Ubuntu 12.04
Comment 1 Commit Notification 2014-02-27 12:23:56 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c828e3cc409077a1916911b8abf1d7b8dbb2078a

fdo#75540 setProcessServiceFactory must be called before InitVCL



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Stephan Bergmann 2014-02-27 13:36:29 UTC
requested backports to libreoffice-4-2 towards LO 4.2.3 (<https://gerrit.libreoffice.org/#/c/8380/>) and libreoffice-4-2-2 (<https://gerrit.libreoffice.org/#/c/8381/>)
Comment 3 Commit Notification 2014-02-27 13:36:35 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=34c72f10939d473eb1a098fac1f05647c0232727&h=libreoffice-4-2

fdo#75540 setProcessServiceFactory must be called before InitVCL


It will be available in LibreOffice 4.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-03-05 16:17:26 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-4-2-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=42df210d4b2132bea2850e5320abf8d5984c2017&h=libreoffice-4-2-2

fdo#75540 setProcessServiceFactory must be called before InitVCL


It will be available already in LibreOffice 4.2.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 libreofficebugzilla.20.klingon 2014-04-15 14:46:43 UTC
Tested in LibreOffice 4.2.3.3

It's working. Thanks a lot.